######################################################################
#
# __init__  for Webmail product
#
# This software is governed by a license. See 
# LICENSE.txt for the terms of this license.
#
######################################################################

__doc__ = 'WebMail'
__version__ = '3.2.0'

from ImageFile import ImageFile

misc_ = {
	'icon_mail.gif': ImageFile('www/icon_mail.gif', globals()),
	'dtmldoc.gif': ImageFile('www/dtmldoc.gif', globals()),
	'folder.gif':ImageFile('www/Folder_icon.gif', globals()),
	'messageLu.gif':ImageFile('www/messageLu.gif', globals()),
	'messageNonLu.gif':ImageFile('www/messageNonLu.gif', globals()),
	'composer.gif':ImageFile('www/composer.gif', globals()),
	'messageRep.gif':ImageFile('www/messageRep.gif', globals()),
	'creerDossier.gif':ImageFile('www/creerDossier.gif', globals()),
	'retirer.gif':ImageFile('www/retirer.gif', globals()),
	'supprimer.gif':ImageFile('www/supprimer.gif', globals()),
	'options.gif':ImageFile('www/options.gif', globals()),
	'soulignmail.gif':ImageFile('www/soulignmail.gif', globals()),
	'wmaillogo.gif':ImageFile('www/wmaillogo.gif', globals()),
	'trombone.gif':ImageFile('www/trombone.gif', globals()),
	'cacheTrombone.gif':ImageFile('www/cacheTrombone.gif', globals()),
	'repondre.gif':ImageFile('www/repondre.gif', globals()),
	'repondreTous.gif':ImageFile('www/repondreTous.gif', globals()),
	'faireSuivre.gif':ImageFile('www/faireSuivre.gif', globals()),
	'messageRep.gif':ImageFile('www/messageRep.gif', globals()),
	'imprimanteMail.gif':ImageFile('www/imprimanteMail.gif', globals()),
	'composerPetit.gif':ImageFile('www/composerPetit.gif', globals()),
	'flag.gif':ImageFile('www/flag.gif', globals()),
	'poubelle.gif':ImageFile('www/poubelle.gif', globals())
	}

import WebMail

def initialize(context):
	"Initialize the product."
	try:
		context.registerClass(
			WebMail.WebMail,
			constructors = (WebMail.manage_add_Wmail2,
							WebMail.manage_add_WebMail)
			)
		
	except:
		import sys, traceback, string
		type, val, tb = sys.exc_info()
		sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
		del type, val, tb
