"""Contains the french translations for all Webmail printable strings."""

common = {
    'language_name': ('Franais', 'Name of this language'),
    'WebMail': ('WebMail','Name of the tool'),
    'cancel': ('Annuler', 'Label for cancel'),
    'yes': ('Oui', ''),
    'no': ('Non', ''),
    'subject': ('Sujet', 'Subject of mail'),
    'sender': ('Expditeur', ''),
    'recipient': ('Destinataire', ''),
    'date': ('Date', ''),
    'size': ('Taille', ''),
    'delete': ('supprimer', ''),
    'move_to': ('Dplacer vers', ''),
    'inbox': ('Bote de rception', 'inbox folder name'),
    'sent_mail': ('Elments envoys', 'sent-mail folder name'),
    'draft': ('Brouillons', 'draft folder name'),
    'trash': ('Corbeille', 'trash folder name'),
    'no_address_book': ("Vous n'avez pas de carnet d'adresses", 'no address book'),
    'Attachment': ('Attachement', ''),
    'Attachments': ('Attachements', ''),
    'error_message': ("""
                        Attention : Connexion au serveur de mail IMAP impossible.<br>
                        Le serveur de mail peut tre temporairement indisponible,
                        ou la configuration de votre webmail est peut tre incorrecte.
                        """, ''),
    'product_name' : ('Nom du Wmail (Identifiant)' , ' label for product title'),
    'no_subject' : ('[Pas de sujet]', "display if no subject for message"),
    'error' : ('Erreur', ''),
    'save' : ('Valider' , 'validate label')
    }

search = {
    'search_in': ('Rechercher dans :   ', 'Label for the selection of folder in search interface'),
    'search': ('Rechercher ', 'Label for search keyword input'),
    'in': ('Dans', 'Label for folder to search in'),
    'the_body_message': ('le texte du message', 'choice for folder to search in'),
    'the_subject_of_message': ('le sujet', 'choice for folder to search in'),
    'the_to_field': ('le champ destinataire', 'choice for folder to search in'),
    'the_from_field': ('le champ expditeur', 'choice for folder to search in'),
    'since': ('depuis le', 'Choice for date search request'),
    'the': ('le', 'Choice for date search request'),
    'before': ('avant le', 'Choice for date search request'),
    'flag_search_begin': ('Messages avec drapeau ', 'Begin for flag search label'),
    'flag_search_end': (' uniquement', 'end for flag search label'),
    'lanch_search': ('Lancer la recherche Maintenant', 'Label for search button'),

    'january' : ('janvier', ''),
    'february' : ('fvrier', ''),
    'march' : ('mars', ''),
    'april' : ('avril', ''),
    'may' : ('mai', ''),
    'june' : ('juin', ''),
    'july' : ('juillet', ''),
    'august' : ('aot', ''),
    'september' : ('septembre', ''),
    'october' : ('octobre', ''),
    'november' : ('novembre', ''),
    'december' : ('dcembre', ''),
    'search_line_error' : ('la recherche est incorrecte (certains caractres spciaux ne sont pas admis).', 'search line error'),
    'search_date_error' : ("la date n'est pas valide. (1970 minimum).", "search date error"),
    }

option = {
    'option_title': ('Gestion des Options ', 'title of option page'),
    'folder_option': ('Gestion des dossiers','Label for folder management'),
    'numberof_messages_per_page': ('Nombre de messages  afficher par page','Label for number of messages to view option'),
    'copy_to_sent_mail': ("Garder automatiquement<br> une copie des messages envoys",'Label for copy to sent mail option'),
    'lenght_of_subject': ("Nombre de caractres  afficher<br> pour le sujet lors du listage des messages",'Label for subject size option'),
    'attachement_view_option': ("Visualiser les pice-jointes (images et html)<br> sous le texte du message",'Label for attachement view option'),
    'signature': ("Signature",'Label signature'),
    'selected_folder': ("(les dossiers slectionns)",'help label'),
    'save': ("Enregistrer",'save button'),
    'new_folder_title': ("Cration d'un nouveau dossier IMAP",'The title for folder add form'),
    'name_of_the_folder': ("Nom du dossier",'folder name label'),

    'theme' : ('Theme', 'label for Theme'),
    'language' : ('Langue', 'label for language'),
    'edit_params_link' : ('Gestion des paramtres de connexion au serveur de mail', 'label for edit parmas link'),
    'create_new_folder' : ('Crer un nouveau dossier', 'label for new folder creation'),
    'no_folder_to_delete' : ("Vous n'avez pas de dossier  supprimer.", "no folder to delete label"),
    'delete_folder_title' : ("Suppression de dossier(s)", "label title for confirm delete folder"),
    'delete_folder_alert' :("<u>Attention !</u> La supression de ou des dossiers slectionns entranera la <u>suppression de TOUS les messages</u> qui y sont contenus ! ", "delete folder warning"),
    'no_folder_selected' : ("Vous n'avez pas slectionn de dossier  supprimer.", "no folder selected alert"),
    'folder_add_help_message': ("""
                                Attention: le point <b>.</b> sert  crer des sous-dossiers.<br>
                                ex.: pour avoir les sous-dossiers \"jaune\" et \"rouge\" du dossier \"couleurs\",
                                <br>
                                il suffit de les nommer \"couleurs.jaune\" et \"couleurs.rouge\" <u> condition</u> que le dossier \"couleurs\" existe.<br>
                                Pensez  respecter les majuscules et minuscules.""", "display warning message for use '.' in folder names"),
    'add': ("Ajouter",'add button'),
    'create_folder_error' :("ATTENTION : cration de dossier refuse, soit le nom choisi correspond  un dossier dj existant, soit il est invalide, certains caractres n'tant pas admis.", 'folder creation error'),
    
    }


message_view = {
    'view_message_title': ('', 'title of view message page'),
    'answer': ('Rpondre', 'link to answer message form'),
    'answer_all': ('Rpondre  tous', 'link to answer all message form'),
    'forward': ('Faire suivre', 'link to forward message form'),
    'source': ('source', 'link to source message page'),
    'printPreview': ('imprimer', 'link to printable message view'),
    'add_flag': ('ajouter un drapeau', 'link to add flag'),
    'go_back_to_message_list': ('retour  la liste des messages', 'link to go back to the folder view'),
    'from': ('De', 'Label for sender'),
    'to': ('A', 'Label for recipient'),
    
    'save_attachment_to_stuff' : ('Dposer dans le cartable', 'label  for copy selected attachment to stuff'),
    'joined_mail' : ('(mail joint en attachement)', 'label for notice joined mail in attachment'),
    'files_joined' : ('Fichier(s) joint(s)', 'label for joined files'),
    'folder_name' : ('Nom du fichier', 'label for name of the folder'),
    'content_type' : ('Type', 'lable for content type'),
    'cc': ('Copie', 'for view message page'),
    'add_to' : ('ajouter ', 'label for add to'),
    'next' : ('suivant', 'label for next'),
    'previous' : ('pr&eacute;c&eacute;dent', 'lablel for previous'),
    'remove_flag' : ('supprimer le drapeau', 'remove message flag Flagged'),
    'new_contact_added' : ("Le nouveau contact a t ajout  votre carnet d'adresses.", 'new contact added to MailBook or AddressBook'),
    }

message_edit = {
    'edit_message_title': ('', 'title of message edit page'),
    'to': ('Destinataire(s)', 'title of edition page'),
    'cc': ('Copie', 'title of edition page'),
    'bcc': ('Copie aveugle', 'title of edition page'),
    'subject': ('Sujet', 'title of edition page'),
    'copy_to_sent_mail_yes_no': ('Garder une copie du message envoy ', 'title of edition page'),
    'send': ('Envoyer', 'send button'),
    'save_in_draft': ('Sauvegarder comme brouillon', 'title of edition page'),

    'send_mail_fails':("l'adresse du destinataire semble inexacte ou le serveur ne rpond pas.Votre message n'a pas t envoy.", 'send message failed'),
    
    }

folder = {
    'check_link': ('Retirer', 'Link to check new messages'),
    'compose_link': ("Composer", 'Link to compose message form'),
    'search_link': ("Rechercher", 'Link to search message form'),
    'option_link': ("Options", 'Link to options set form'),
    'number_of_messages' : ("message(s)","After the number of messages label"),
    'of_mail_quota' : ("de l'espace mail utilis","After the percent of used place label"),
    'all': ("Tous", 'Link to select all messages'),
    'none': ("Aucun", 'Link to unselect all messages'),
    'selected_messages': ("(les messages slectionns)", 'help label near delete button'),
    'new_folder_link': ("Crer un nouveau dossier", 'link to new folder page'),

    'quota_alert' : (""" Attention: votre quota d'espace mail tant atteint ou presque,
         les messages ne pouvant pas tre placs dans la corbeille lors de leur supression seront dtruits
         directement sur le serveur de mail et les messages trop volumineux ne peuvent plus tre dplacs. """, "mail quota alert"),
    'is_del' : ("Sup", "message's mark if flag deleted is on"),
    'empty_trash' : ('vider la corbeille', 'empty trash button label'),
    'warning_pop_delete' : ('Attention, les messages sont dtruits dfinitivement, y compris sur le serveur de mail.', ' warning dextruct message in POP protocol'),
    }

#new dico
wmail_config = {

    'config_title' : ('Paramtres de connexion au serveur de mail', 'config_title'),
    'login_label' : ("Nom d'utilisateur (login)", 'login label'),
    'passwd_label' : ("Mot de passe", "passwd label"),
    'email_label' : ('E-mail', 'e-mail label'),
    'name_label' : ('Prnom & Nom', 'first name lable and last name'),
    'protocol' : ('Protocole', 'protocol POP or IMAP'),
    'imap_server_label' : ('Serveur IMAP / POP', 'imap server label'),
    'imap_port_label' : ('Port IMAP / POP (optionnel)', 'imap port label'),
    'smtp_server_label' : ('Serveur SMTP', 'smtp server label'),
    'smtp_port_label' : ('Port SMTP (optionnel)', 'smtp port label'),
    'param_error' : ("""<u>Attention </u>:
                        Connexion au serveur de mail impossible. Vrifiez vos parmtres de connexion.
                        <br><br>
                        Si ils sont bons, le serveur de mail peut tre temporairement indisponible.""",'param error label')
    }


# All vocabularies combined
vocabulary = {'common': common,
              'search': search,
              'option': option,
              'message_view': message_view,
              'message_edit' : message_edit,
              'folder': folder,
              'wmail_config' : wmail_config
              }
