"""Contains the spanish translations for all Webmail printable strings."""

common = {
    'language_name': ('Espaol', 'Name of this language'),
    'WebMail': ('WebMail','Name of the tool'),
    'cancel': ('Cancelar', 'Label for cancel'),
    'yes': ('Si', ''),
    'no': ('No', ''),
    'subject': ('Objeto', 'Subject of mail'),
    'sender': ('Expeditor', ''),
    'recipient': ('Destinatario', ''),
    'date': ('Fecha', ''),
    'size': ('Tamao', ''),
    'delete': ('Borrar', ''),
    'move_to': ('Mover hacia', ''),
    'inbox': ('Buzn de recepcin', 'inbox folder name'),
    'sent_mail': ('Mensajes enviados', 'sent-mail folder name'),
    'draft': ('Esbozo', 'draft folder name'),
    'trash': ('Basura', 'trash folder name'),
    'no_address_book': ("", 'no address book'),
    'Attachment': ('Archivo adjunto', ''),
    'Attachments': ('Archivos adjuntos', ''),
    'error_message': ("""
                        Advertencia: El servidor de mail no responde.
                        
                        """, ''),

    'product_name' : ('Product title' , 'label for  product title '),
    'no_subject' : ('[No subject]', "display if no subject for message"),
    'error' : ('Error', ''),
    'save' : ('Save' , 'validate or save label'),
    }

search = {
    'search_in': ('Buscar en :   ', 'Label for the selection of folder in search interface'),
    'search': ('Buscar ', 'Label for search keyword input'),
    'in': ('En', 'Label for folder to search in'),
    'the_body_message': ('el texto del mensaje', 'choice for folder to search in'),
    'the_subject_of_message': ('el objeto', 'choice for folder to search in'),
    'the_to_field': ("el campo 'Destinatario'", 'choice for folder to search in'),
    'the_from_field': ("el campo 'Expeditor'", 'choice for folder to search in'),
    'since': ('a partir de', 'Choice for date search request'),
    'the': ('el', 'Choice for date search request'),
    'before': ('antes de', 'Choice for date search request'),
    'flag_search_begin': ('Mensaje con bandera ', 'Begin for flag search label'),
    'flag_search_end': (' solamente', 'end for flag search label'),
    'lanch_search': ('Lanzar la busqueda', 'Label for search button'),

    'january' : ('january', ''),
    'february' : ('february', ''),
    'march' : ('march', ''),
    'april' : ('april', ''),
    'may' : ('may', ''),
    'june' : ('june', ''),
    'july' : ('july', ''),
    'august' : ('august', ''),
    'september' : ('september', ''),
    'october' : ('october', ''),
    'november' : ('november', ''),
    'december' : ('december', ''),
    'search_line_error' : ('Search line error (somme characters are not allowed).', 'search line error'),
    'search_date_error' : ("Date not valid. (1970 or more).", "search date error"),
    }

option = {
    'option_title': ('Opciones ', 'title of option page'),
    'folder_option': ('Carpetas','Label for folder management'),
    'numberof_messages_per_page': ('Numero de mensajes por pagina','Label for number of messages to view option'),
    'copy_to_sent_mail': ("Consevar automaticamente una copia de los mensajes enviados",'Label for copy to sent mail option'),
    'lenght_of_subject': ("Numero de carateres del objeto cuando se listan todos los mensajes",'Label for subject size option'),
    'attachement_view_option': ("Visualizar los archivos adjuntos (imagenes y html) despues del texto del mensaje",'Label for attachement view option'),
    'signature': ("Firma",'Label signature'),
    'selected_folder': ("(las carpetas seleccionadas)",'help label'),
    'save': ("Validar",'save button'),
    'new_folder_title': ("Creacin de una nueva carpeta IMAP (mail)",'The title for folder add form'),
    'name_of_the_folder': ("Nombre de la carpeta",'folder name label'),
    'folder_add_help_message': ("""
                                Advertencia: el punto . se utiliza para crear sub carpetas.
                                Ejemplo: "color.rojo" va a crear la sub carpeta "rojo" en la carpeta "color" si la carpeta "color" existe. 
                                Tenga cuidado con las mayusculas y minusculas.
                                """,'folder add help message'),


    'add': ("Crear",'add button'),
    'theme' : ('Theme', 'label for Theme'),
    'language' : ('Language', 'label for language'),
    'edit_params_link' : ('Mail host parameters configuration', 'label for edit parmas link'),
    'create_new_folder' : ('Create new folder', 'label for new folder creation'),
    'no_folder_to_delete' : ("You have no folder to delete.", "no folder to delete label"),
    'delete_folder_title' : ("Deleting folder(s)", "label title for confirm delete folder"),
    'delete_folder_alert' :("<u>Wraning !</u> Deleting folder(s) will delete ALL messages in this folder(s) ", "delete folder warning"),
    'no_folder_selected' : ("You didn't select any folder to delete.", "no folder selected alert"),
    'folder_add_help_message': ("""
                                Warning ! Point character <b>.</b> must be only use for sub-folder creation.<br>
                                <u>If you have folder</u> \"color\" and want sub-folder \"red\", just do \"color.red\"<br>
                                Be carreful with characters case.

                                """, "display warning message for use '.' in folder names"),
    'create_folder_error' :("Warning : folder creation error. Folder name still exist or have forbiden characters.", 'folder creation error'),
    }

message_view = {
    'view_message_title': ('', 'title of view message page'),
    'answer': ('Responder', 'link to answer message form'),
    'answer_all': ('Responder a todos', 'link to answer all message form'),
    'forward': ('Transmitir', 'link to forward message form'),
    'source': ('Codigo fuente', 'link to source message page'),
    'printPreview': ('Imprimir', 'link to printable message view'),
    'add_flag': ('Aadir una bandera', 'link to add flag'),
    'go_back_to_message_list': ('Regresar a la lista de mensajes', 'link to go back to the folder view'),
    'from': ('De', 'Label for sender'),
    'to': ('A', 'Label for recipient'),

    'save_attachment_to_stuff' : ('Move to stuff', 'label  for copy selected attachment to stuff'),
    'joined_mail' : ('(mail joined as attachment)', 'label for notice joined mail in attachment'),
    'files_joined' : ('Joined files', 'label for joined files'),
    'folder_name' : ('Folder name', 'label for name of the folder'),
    'content_type' : ('Content Type', 'lable for content type'),
    'cc': ('Cc', 'for view message page'),
    'add_to' : ('add to', 'label for add to'),
    'next' : ('next', 'label for next'),
    'previous' : ('previous', 'lablel for previous'),
    'remove_flag' : ('remove flag', 'remove message flag Flagged'),
    'new_contact_added' : ("New contact added to MailBook or AddressBook ", 'new contact added to MailBook or AddressBook'),
    }

message_edit = {
    'edit_message_title': ('', 'title of message edit page'),
    'to': ('A', 'title of edition page'),
    'cc': ('Copia', 'title of edition page'),
    'bcc': ('Copia escondida', 'title of edition page'),
    'subject': ('Objeto', 'title of edition page'),
    'copy_to_sent_mail_yes_no': ('Conservar una copia del mensaje enviado ', 'title of edition page'),
    'send': ('Enviar', 'send button'),
    'save_in_draft': ('Conservar como esbozo', 'title of edition page'),
    
    'send_mail_fails':("recipient e-mail looks to be incompatible or host mail is down. Your message has not been sent.", 'send message failed')
    }

folder = {
    'check_link': ('Retirar', 'Link to check new messages'),
    'compose_link': ("Nuevo mensaje", 'Link to compose message form'),
    'search_link': ("Buscar", 'Link to search message form'),
    'option_link': ("Opciones", 'Link to options set form'),
    'number_of_messages' : ("mensaje(s)","After the number of messages label"),
    'of_mail_quota' : ("del espacio mail utilizado","After the percent of used place label"),
    'all': ("Todos", 'Link to select all messages'),
    'none': ("Ninguno", 'Link to unselect all messages'),
    'selected_messages': ("(los mensajes seleccionados)", 'help label near delete button'),
    'new_folder_link': ("Crear una nueva carpeta", 'link to new folder page'),

    'quota_alert' : (""" Warning : mail space soon full.<br>
                         Biggest messages can't be moved to trash or other folders.""", "mail quota alert"),
    'is_del' : ("Del", "message's mark if flag deleted is on"),
    'empty_trash' : ('empty trash', 'empty trash button label'),
    'warning_pop_delete' : ('La atencin, Los mensajes son destrudos definitivamente, incluyendo sobre el servidor de correo.', 'warning destruct messages in POP protocol'),
    }

#new dico
wmail_config = {

    'config_title' : ('Mail host parameters', 'config_title'),
    'login_label' : ("Login", 'login label'),
    'passwd_label' : ("Password", "passwd label"),
    'email_label' : ('E-mail', 'e-mail label'),
    'name_label' : ('Lastname & FirstName', 'last name and first name lable'),
    'protocol' : ('Protocolo', 'protocol POP or IMAP'),
    'imap_server_label' : ('IMAP / POP host', 'imap or pop server label'),
    'imap_port_label' : ('IMAP / POP port (optional)', 'imap or pop port label'),
    'smtp_server_label' : ('SMTP host', 'smtp server label'),
    'smtp_port_label' : ('SMTP port (optional)', 'smtp port label'),
    'param_error' : ("""<u>Warning </u>:
                        Mail server connection fails. Check your params.
                        <br>
                        """,'param error label')
    }

# All vocabularies combined
vocabulary = {'common': common,
              'search': search,
              'option': option,
              'message_view': message_view,
              'message_edit' : message_edit,
              'folder': folder,
              'wmail_config' : wmail_config
              }

