"""Contains the french translations for all Webmail printable strings."""

common = {
    'language_name': ('Romna', 'Name of this language'),
    'WebMail': ('Casuta Postala','Name of the tool'),
    'cancel': ('Anulare', 'Label for cancel'),
    'yes': ('Da', ''),
    'no': ('Nu', ''),
    'subject': ('Subiect', 'Subject of mail'),
    'sender': ('Expeditor', ''),
    'recipient': ('Destinatar', ''),
    'date': ('Data', ''),
    'size': ('Dimensiunea', ''),
    'delete': ('Elimina', ''),
    'move_to': ('Deplaseaza catre', ''),
    'inbox': ('Cutie postala', 'inbox folder name'),
    'sent_mail': ('Mesaje trimise', 'sent-mail folder name'),
    'draft': ('Ciorne', 'draft folder name'),
    'trash': ('Mesaje eliminate', 'trash folder name'),
    'no_address_book': ("Nu aveti carnet de adrese.", 'no address book'),
    'Attachment': ('Ataseaza', ''),
    'Attachments': ('Elemente atasate', ''),
    'error_message': ("""
                        Atentie : Conexiunea cu serverul de e-mail IMAP imposibila.
                        Daca tocmai a-ti schimbat parola, trebuie sa va deconectati de la Portal dupa cere sa va reconectati.
                        Daca nu, exista posibilitatea ca serverul de e-mail sa fie indisponibil.
                        """, ''),

    'product_name' : ('Product title' , 'label for  product title '),
    'no_subject' : ('[No subject]', "display if no subject for message"),
    'error' : ('Error', ''),
    'save' : ('Save' , 'validate or save label'),
    }

search = {
    'search_in': ('Cauta n :   ', 'Label for the selection of folder in search interface'),
    'search': ('Cauta ', 'Label for search keyword input'),
    'in': ('n', 'Label for folder to search in'),
    'the_body_message': ('textul mesajului', 'choice for folder to search in'),
    'the_subject_of_message': ('subiectul', 'choice for folder to search in'),
    'the_to_field': ('campul destinatarului', 'choice for folder to search in'),
    'the_from_field': ('campul expeditorului', 'choice for folder to search in'),
    'since': ('din data de', 'Choice for date search request'),
    'the': (' ', 'Choice for date search request'),
    'before': ('inainte de', 'Choice for date search request'),
    'flag_search_begin': ('Mesaje cu optiune ', 'Begin for flag search label'),
    'flag_search_end': (' numai', 'end for flag search label'),
    'lanch_search': ('Lanseaza operatia de cautare', 'Label for search button'),

    'january' : ('january', ''),
    'february' : ('february', ''),
    'march' : ('march', ''),
    'april' : ('april', ''),
    'may' : ('may', ''),
    'june' : ('june', ''),
    'july' : ('july', ''),
    'august' : ('august', ''),
    'september' : ('september', ''),
    'october' : ('october', ''),
    'november' : ('november', ''),
    'december' : ('december', ''),
    'search_line_error' : ('Search line error (somme characters are not allowed).', 'search line error'),
    'search_date_error' : ("Date not valid. (1970 or more).", "search date error"),
    }


option = {
    'option_title': ('Modificare Optiuni ', 'title of option page'),
    'folder_option': ('Modificare dosare','Label for folder management'),
    'numberof_messages_per_page': ('Numar mesaje pe pagina','Label for number of messages to view option'),
    'copy_to_sent_mail': ("Pastreaza o copie a mesajului trimis",'Label for copy to sent mail option'),
    'lenght_of_subject': ("Numarul de caractere de afisat pentru campul subiect",'Label for subject size option'),
    'attachement_view_option': ("Visualizare elemente atasate (imagini si html) sub textul mesajului",'Label for attachement view option'),
    'signature': ("Semnatura",'Label signature'),
    'selected_folder': ("(dosare selectate)",'help label'),
    'save': ("Inregistreaza",'save button'),
    'new_folder_title': ("Crearea unui dosar IMAP (e-mail)",'The title for folder add form'),
    'name_of_the_folder': ("Nume dosar",'folder name label'),
    'folder_add_help_message': ("""
                                Atentie: punctul . serveste la crearea de sub-dosare.
                                ex.: pentru a avea sub-dosarele "galben" si "rosu" in dosarul "culori", 
                                e suficient sa le numiti "culori.galben" si "culori.rosu" cu conditia ca dosarul "culori" sa existe. 
                                A se face diferenta intre majuscule si minuscule.
                                """,'folder add help message'),
    'add': ("Adauga",'add button'),

    'theme' : ('Theme', 'label for Theme'),
    'language' : ('Language', 'label for language'),
    'edit_params_link' : ('Mail host parameters configuration', 'label for edit parmas link'),
    'create_new_folder' : ('Create new folder', 'label for new folder creation'),
    'no_folder_to_delete' : ("You have no folder to delete.", "no folder to delete label"),
    'delete_folder_title' : ("Deleting folder(s)", "label title for confirm delete folder"),
    'delete_folder_alert' :("<u>Wraning !</u> Deleting folder(s) will delete ALL messages in this folder(s) ", "delete folder warning"),
    'no_folder_selected' : ("You didn't select any folder to delete.", "no folder selected alert"),
    'folder_add_help_message': ("""
                                Warning ! Point character <b>.</b> must be only use for sub-folder creation.<br>
                                <u>If you have folder</u> \"color\" and want sub-folder \"red\", just do \"color.red\"<br>
                                Be carreful with characters case.
                                """, "display warning message for use '.' in folder names"),
    'create_folder_error' :("Warning : folder creation error. Folder name still exist or have forbiden characters.", 'folder creation error'),
    }

message_view = {
    'view_message_title': ('', 'title of view message page'),
    'answer': ('Raspunde', 'link to answer message form'),
    'answer_all': ('Raspunde tuturor', 'link to answer all message form'),
    'forward': ('Transmite mai departe', 'link to forward message form'),
    'source': ('sursa', 'link to source message page'),
    'printPreview': ('Imprima', 'link to printable message view'),
    'add_flag': ('Adauga o optiune', 'link to add flag'),
    'go_back_to_message_list': ('Revenire la lista de mesaje', 'link to go back to the folder view'),
    'from': ('De la', 'Label for sender'),
    'to': ('Catre', 'Label for recipient'),


    'save_attachment_to_stuff' : ('Move to stuff', 'label  for copy selected attachment to stuff'),
    'joined_mail' : ('(mail joined as attachment)', 'label for notice joined mail in attachment'),
    'files_joined' : ('Joined files', 'label for joined files'),
    'folder_name' : ('Folder name', 'label for name of the folder'),
    'content_type' : ('Content Type', 'lable for content type'),
    'cc': ('Cc', 'for view message page'),
    'add_to' : ('add to', 'label for add to'),
    'next' : ('next', 'label for next'),
    'previous' : ('previous', 'lablel for previous'),
    'remove_flag' : ('remove flag', 'remove message flag Flagged'),
    'new_contact_added' : ("New contact added to MailBook or AddressBook ", 'new contact added to MailBook or AddressBook'),
    }

message_edit = {
    'edit_message_title': ('', 'title of message edit page'),
    'to': ('spre', 'title of edition page'),
    'cc': ('Copie pentru', 'title of edition page'),
    'bcc': ('Copie oarba', 'title of edition page'),
    'subject': ('Subiect', 'title of edition page'),
    'copy_to_sent_mail_yes_no': ('Pastreaza o copie a mesajului trimis ', 'title of edition page'),
    'send': ('Trimite', 'send button'),
    'save_in_draft': ('Inregistreaza ca si ciorna', 'title of edition page'),

    
    'send_mail_fails':("recipient e-mail looks to be incompatible or host mail is down. Your message has not been sent.", 'send message failed'),
    }


folder = {
    'check_link': ('Verifica mesajele noi', 'Link to check new messages'),
    'compose_link': ("Compune", 'Link to compose message form'),
    'search_link': ("Cauta", 'Link to search message form'),
    'option_link': ("Optiuni", 'Link to options set form'),
    'number_of_messages' : ("mesaj(e)","After the number of messages label"),
    'of_mail_quota' : ("din spatiul e-mail utilizat","After the percent of used place label"),
    'all': ("Toti", 'Link to select all messages'),
    'none': ("Niciunul", 'Link to unselect all messages'),
    'selected_messages': ("(mesajele selectate)", 'help label near delete button'),
    'new_folder_link': ("Creaza un nou dosar", 'link to new folder page'),


    'quota_alert' : (""" Warning : mail space soon full.<br>
                         Biggest messages can't be moved to trash or other folders.""", "mail quota alert"),
    'is_del' : ("Del", "message's mark if flag deleted is on"),
    'empty_trash' : ('empty trash', 'empty trash button label'),
    'warning_pop_delete' : ('Warning, messages are destroyed definitively, including on mail\'s server.', 'warning destruct messages in POP protocol'),
    }

#new dico
wmail_config = {
    'config_title' : ('Mail host parameters', 'config_title'),
    'login_label' : ("Login", 'login label'),
    'passwd_label' : ("Password", "passwd label"),
    'email_label' : ('E-mail', 'e-mail label'),
    'name_label' : ('Lastname & FirstName', 'last name and first name lable'),
    'protocol' : ('Protocol', 'protocol POP or IMAP'),
    'imap_server_label' : ('IMAP / POP host', 'imap or pop server label'),
    'imap_port_label' : ('IMAP / POP port(optional)', 'imap or pop port label'),
    'smtp_server_label' : ('SMTP host', 'smtp server label'),
    'smtp_port_label' : ('SMTP port (optional)', 'smtp port label'),
    'param_error' : ("""<u>Warning </u>:
                        Mail server connection fails. Check your params.
                        <br>
                        """,'param error label'),
    }

# All vocabularies combined
vocabulary = {'common': common,
              'search': search,
              'option': option,
              'message_view': message_view,
              'message_edit' : message_edit,
              'folder': folder,
              'wmail_config' : wmail_config
              }
